body {
    color: white;
    font-family: sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    margin: 0;
}

.container-principal {
    background-color: rgb(28, 1, 126);
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    max-width: 400px;
    width: 90%;
}

.display-imagem {

    height: 300px; /* Altura fixa para o display */
    margin: 20px 0;
    overflow: hidden; /* Garante que a imagem não vaze */
    display: flex;
    justify-content: center;
    align-items: center;
}

#imagem-bichinho {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain; /* Garante que a imagem caiba sem distorcer */
}

.controles button {
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    margin: 5px;
    border: none;
    border-radius: 5px;
    transition: background-color 0.3s;
}

html,
body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    background: rgba(28, 1, 126, 0.795);
}

#btn-gerar-cao {
    width: 220px;
    height: 50px;
    border: none;
    outline: none;
    color: #fff;
    background: #111;
    cursor: pointer;
    position: relative;
    z-index: 0;
    border-radius: 10px;
}

#btn-gerar-cao:before {
    content: '';
    background: linear-gradient(45deg, #ff0000, #ff7300, #fffb00, #48ff00, #00ffd5, #002bff, #7a00ff, #ff00c8, #ff0000);
    position: absolute;
    top: -2px;
    left:-2px;
    background-size: 400%;
    z-index: -1;
    filter: blur(5px);
    width: calc(100% + 4px);
    height: calc(100% + 4px);
    animation: glowing 20s linear infinite;
    opacity: 0;
    transition: opacity .3s ease-in-out;
    border-radius: 10px;
}

#btn-gerar-cao:active {
    color: #000
}

#btn-gerar-cao:active:after {
    background: transparent;
}

#btn-gerar-cao:hover:before {
    opacity: 1;
}

#btn-gerar-cao:after {
    z-index: -1;
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #111;
    left: 0;
    top: 0;
    border-radius: 10px;
}

@keyframes glowing {
    0% { background-position: 0 0; }
    50% { background-position: 400% 0; }
    100% { background-position: 0 0; }
}

#btn-gerar-gato {
    width: 220px;
    height: 50px;
    border: none;
    outline: none;
    color: #fff;
    background: #111;
    cursor: pointer;
    position: relative;
    z-index: 0;
    border-radius: 10px;
}

#btn-gerar-gato:before {
    content: '';
    background: linear-gradient(45deg, #ff0000, #ff7300, #fffb00, #48ff00, #00ffd5, #002bff, #7a00ff, #ff00c8, #ff0000);
    position: absolute;
    top: -2px;
    left:-2px;
    background-size: 400%;
    z-index: -1;
    filter: blur(5px);
    width: calc(100% + 4px);
    height: calc(100% + 4px);
    animation: glowing 20s linear infinite;
    opacity: 0;
    transition: opacity .3s ease-in-out;
    border-radius: 10px;
}

#btn-gerar-gato:active {
    color: #000
}

#btn-gerar-gato:active:after {
    background: transparent;
}

#btn-gerar-gato:hover:before {
    opacity: 1;
}

#btn-gerar-gato:after {
    z-index: -1;
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #111;
    left: 0;
    top: 0;
    border-radius: 10px;
}

main {
    flex: 1;
}


footer {
    background-color: rgba(28, 1, 126, 0.795);
    padding: 12px 0;
    text-align: center;
    color: #ffffff;
    font-size: 14px;
    width: 100%;
    position: fixed;
    left: 0;
    bottom: -20px;
}

a {
    color: #ffffff;
    text-decoration: none;

}
